#### D.12.3.3 chinrestp

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  chinrestp(b,moduli); moduli, b, moduli=list of polynomials

Return:
  poly x, s.t. x= b[i] mod moduli[i]

Note:
  chinese remainder theorem for polynomials

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    list b=3x-4, -3x2+1, 1, 4;
    list moduli=(x-2)^2, (x-5)^3, x-1, x-6;
    chinrestp(b,moduli);
    ==> -x6-3x5-x4+2x3-2x2+3x+3

User manual for Singular version 4.4.1, 2025, generated by texi2html.